#!/bin/bash

if lsusb -d 03eb:2127 | grep -c Atmel > /dev/null 2>&1; then
	if [ ! -f /usr/local/bin/ocular/`cat /sys/devices/virtual/dmi/id/product_serial` ]
	then
		/usr/local/bin/ocular/./mxt-app --save /usr/local/bin/ocular/dump.cfg
		if diff /usr/local/bin/ocular/dump.cfg /usr/local/bin/ocular/load.cfg > /dev/null 2>&1; then
			echo "Firmware configuration matches!"
			if [ ! -f /usr/local/bin/ocular/`cat /sys/devices/virtual/dmi/id/product_serial` ]
			then		
				cp /usr/local/bin/ocular/load.cfg /usr/local/bin/ocular/load.cfg.loaded
				touch /usr/local/bin/ocular/`cat /sys/devices/virtual/dmi/id/product_serial`
			fi
		else
			echo "Loading new touch firmware configuration..."
			/usr/local/bin/ocular/./mxt-app --load /usr/local/bin/ocular/load.cfg
			echo "Firmware configuration updated!"
		fi
	else
		echo "Configuration file already loaded on this unit..."
	fi
else
  echo "This does not contain a Atmel touch controller"
fi

